Summary:	Gives a fake chroot environment
Name:		fakechroot
Version:	2.20.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/Other
URL:		http://fakechroot.alioth.debian.org/
Source0:	https://github.com/dex4er/fakechroot/releases/download/2.20.1/%{name}-%{version}.tar.xz
# https://github.com/dex4er/fakechroot/pull/50
Patch1:		fakechroot-rpm-glob64.patch

# Required for patch0:
BuildRequires:	autoconf
BuildRequires:	automake >= 1.10
BuildRequires:	libtool

%description
fakechroot runs a command in an environment were is additionally
possible to use the chroot(8) call without root privileges. This is
useful for allowing users to create their own chrooted environment
with possibility to install another packages without need for root
privileges.

%prep
%setup -q
%apply_patches

# Patch0 updates autoconf, so rerun this:
./autogen.sh

%build
%configure \
  --disable-dependency-tracking \
  --disable-static
%make_build

%install
%make_install

%check
#make test

%files
%doc LICENSE scripts/restoremode.sh scripts/savemode.sh
%{_bindir}/*fakechroot
%{_sbindir}/chroot.fakechroot
%{_sysconfdir}/fakechroot
%{_mandir}/man1/fakechroot.1.*
%exclude %{_libdir}/fakechroot/libfakechroot.la
# No library package, there's no major:
%{_libdir}/fakechroot/libfakechroot.so


%changelog
* Wed Jul 24 2019 tex - 2.20.1-1pclos2019
- new version

* Wed Oct 04 2017 bb2 <bb2> - 2.19-1pclos2017
- new version

* Sun Mar 27 2016 Conan Kudo <Conan Kudo> 2.18-1pclos2016
- Initial package based on Mageia package

